import TrackerConfig from './TrackerConfig';
export default class PlaybackStateTracker {
    private config;
    private videoDurationSeconds;
    private segmentPlaybackStartTime;
    private readonly playerId;
    constructor(config: TrackerConfig, videoDurationSeconds: number);
    onPlay: (currentTime: number) => void;
    onPause: (currentTime: number) => void;
}
