import * as React from 'react';
import PlaybackStateTracker from './PlaybackStateTracker';
interface Props {
    stream: string;
    autoPlay?: boolean;
    tracker: PlaybackStateTracker;
    thumbnailUrl: string;
    controls: string[];
    videoRef: React.RefObject<any>;
    onPlay?: () => void;
}
interface State {
    fullscreen: boolean;
}
export declare class StreamPlayback extends React.Component<Props, State> {
    private hls;
    state: {
        fullscreen: boolean;
    };
    private onPlay;
    private onPause;
    private onEnterFullscreen;
    private onExitFullscreen;
    render(): JSX.Element;
    componentDidMount(): void;
    componentWillUnmount(): void;
}
export {};
