import * as React from 'react';
import { PlaybackConfig } from './PlaybackConfig';
import './styles/BoclipsPlayer.less';
import TrackerConfig from './TrackerConfig';
interface Props {
    thumbnail?: string;
    playbackConfig: PlaybackConfig;
    trackerConfig?: TrackerConfig;
    controls?: string[];
}
interface State {
    fontSize: number;
}
export declare class Player extends React.Component<Props, State> {
    private readonly tracker;
    private readonly videoRef;
    constructor(props: Props);
    getControls(): string[];
    render(): JSX.Element;
    private onPlayerResize;
    componentDidMount(): void;
    componentWillUnmount(): void;
    private renderPlayback;
    private onPlay;
    private videoPlayListener;
}
export declare class PlayerControls {
    static DEFAULT: string[];
    static THUMBNAIL: string[];
    static BIG_PLAY_ONLY: string[];
    static NO_CONTROLS: any[];
}
export {};
