import * as React from 'react';
import PlaybackStateTracker from './PlaybackStateTracker';
interface Props {
    youtubeId: string;
    tracker: PlaybackStateTracker;
    controls: string[];
    videoRef: React.RefObject<any>;
    onPlay?: () => void;
}
interface State {
    fullscreen: boolean;
}
export declare class YoutubePlayback extends React.Component<Props, State> {
    private player;
    state: {
        fullscreen: boolean;
    };
    private onPlay;
    private onPause;
    private onEnterFullscreen;
    private onExitFullscreen;
    render(): JSX.Element;
    componentDidMount(): void;
    componentWillUnmount(): void;
}
export {};
